明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1511|回复: 1

CAD读数,时有,时无

[复制链接]
发表于 2005-2-3 16:02:00 | 显示全部楼层 |阅读模式
CAD读数如图面100,时有,时无?

Public Sub numberVBA()

'定义点

Dim pt1 As Variant

Dim pt2 As Variant

pt1 = ThisDrawing.Utility.GetPoint(, "请选择第一点:")

pt2 = ThisDrawing.Utility.GetPoint(, "请选择第二点:")

'(1)安全地创建选择集

On Error Resume Next

Dim SSet As AcadSelectionSet

If Not IsNull(ThisDrawing.SelectionSets.Item("Example")) Then

Set SSet = ThisDrawing.SelectionSets.Item("Example")

SSet.Delete '及时删除不用的选择集非常重要

End If

Set SSet = ThisDrawing.SelectionSets.Add("Example")

'(2)向选择集中添加对象

'设置选择过滤器

Dim FilterType(0) As Integer

Dim FilterData(0) As Variant

FilterType(0) = 0

FilterData(0) = "TEXT"

'使用Crossing的选择模式

SSet.Select acSelectionSetCrossing, pt1, pt2, FilterType, FilterData

'(3)遍历其中的对象

Dim filterEnt As Object

Dim Textobj As AcadText

For Each filterEnt In SSet

If filterEnt.value = True Then

Dim A As Integer

Dim B As Integer

A = filterEnt.TextString

B = A * 2

Set Textobj = ThisDrawing.ModelSpace.AddText(B, pt1, 50)

End If

Next filterEnt

'(4)删除选择集

'SSet.Erase '删除选择集中所有对象,保留选择集对象

'SSet.Delete '删除选择集,保留其中对象

'删除选择集和其中所有对象

SSet.Delete

End Sub

 楼主| 发表于 2005-2-4 14:12:00 | 显示全部楼层
问题找到了,该程序对于多行文字无效。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 20:35 , Processed in 0.174334 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表